You can subscribe to this list here.
| 2003 |
Jan
|
Feb
|
Mar
|
Apr
|
May
|
Jun
|
Jul
|
Aug
|
Sep
|
Oct
(202) |
Nov
(201) |
Dec
(280) |
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| 2004 |
Jan
(493) |
Feb
(106) |
Mar
(215) |
Apr
(163) |
May
(79) |
Jun
(193) |
Jul
(47) |
Aug
(71) |
Sep
(127) |
Oct
(41) |
Nov
(49) |
Dec
(120) |
| 2005 |
Jan
(147) |
Feb
(45) |
Mar
(26) |
Apr
(71) |
May
(52) |
Jun
(28) |
Jul
(92) |
Aug
(50) |
Sep
(35) |
Oct
(193) |
Nov
(106) |
Dec
(52) |
| 2006 |
Jan
(51) |
Feb
(38) |
Mar
(33) |
Apr
(79) |
May
(107) |
Jun
(67) |
Jul
(21) |
Aug
(65) |
Sep
(44) |
Oct
(87) |
Nov
(12) |
Dec
(56) |
| 2007 |
Jan
(48) |
Feb
(58) |
Mar
(63) |
Apr
(31) |
May
(25) |
Jun
(20) |
Jul
(72) |
Aug
(54) |
Sep
(30) |
Oct
(76) |
Nov
(74) |
Dec
(25) |
| 2008 |
Jan
(39) |
Feb
(39) |
Mar
(62) |
Apr
(64) |
May
(59) |
Jun
(31) |
Jul
(25) |
Aug
(25) |
Sep
(17) |
Oct
(24) |
Nov
|
Dec
(1) |
| 2009 |
Jan
(60) |
Feb
(39) |
Mar
(16) |
Apr
(30) |
May
(52) |
Jun
(35) |
Jul
(15) |
Aug
(15) |
Sep
(21) |
Oct
(32) |
Nov
(39) |
Dec
(52) |
| 2010 |
Jan
(42) |
Feb
(40) |
Mar
(23) |
Apr
(20) |
May
(27) |
Jun
(10) |
Jul
(30) |
Aug
(30) |
Sep
(66) |
Oct
(12) |
Nov
(35) |
Dec
(60) |
| 2011 |
Jan
(16) |
Feb
(1) |
Mar
(3) |
Apr
(28) |
May
(21) |
Jun
|
Jul
(12) |
Aug
(6) |
Sep
(10) |
Oct
(14) |
Nov
(40) |
Dec
(60) |
| 2012 |
Jan
(23) |
Feb
(17) |
Mar
(24) |
Apr
(18) |
May
(13) |
Jun
(1) |
Jul
|
Aug
(5) |
Sep
|
Oct
(5) |
Nov
(5) |
Dec
(15) |
| 2013 |
Jan
(2) |
Feb
(5) |
Mar
(1) |
Apr
(2) |
May
(2) |
Jun
(3) |
Jul
|
Aug
(3) |
Sep
(5) |
Oct
(3) |
Nov
(1) |
Dec
(1) |
| 2014 |
Jan
(3) |
Feb
(5) |
Mar
(8) |
Apr
(3) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
|
Sep
(4) |
Oct
(10) |
Nov
|
Dec
(9) |
| 2015 |
Jan
(18) |
Feb
(17) |
Mar
(5) |
Apr
(2) |
May
|
Jun
(5) |
Jul
(1) |
Aug
(2) |
Sep
(1) |
Oct
(24) |
Nov
(20) |
Dec
(41) |
| 2016 |
Jan
(9) |
Feb
(3) |
Mar
(2) |
Apr
(7) |
May
(8) |
Jun
(1) |
Jul
(6) |
Aug
(5) |
Sep
(2) |
Oct
(6) |
Nov
(1) |
Dec
(6) |
| 2017 |
Jan
(6) |
Feb
(1) |
Mar
|
Apr
(4) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
(2) |
Sep
|
Oct
|
Nov
|
Dec
|
|
From: Heiko Z. <smi...@us...> - 2006-09-08 15:48:06
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv27180/scripts Modified Files: Tag: rel-1-2-patches build-iso create_etc ebtables pptp-linux Log Message: - added default /etc/sysctl.conf (Kari Mattson + Heiko) - ebtables is correctly build again (unkown + Heiko) - updated Linux-PAM to 0.99.6.3 - updated cdrtools to 2.01.01a13 - updated mrtg to 2.14.7 - updated openssl to 0.9.7k - updated pptp to 1.7.1 - updated pptpd to 1.3.3 Index: create_etc =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/create_etc,v retrieving revision 1.14.2.1 retrieving revision 1.14.2.2 diff -u -d -r1.14.2.1 -r1.14.2.2 --- create_etc 3 May 2006 18:12:25 -0000 1.14.2.1 +++ create_etc 8 Sep 2006 15:48:02 -0000 1.14.2.2 @@ -30,6 +30,7 @@ cp -dpR $DL_DIR/config/etc $ETCDIR/ || exit 1 rm -rf $ETCDIR/etc/initrd || exit 1 cp -dpR $DL_DIR/config/etc/initrd/* $INITRDDIR/ || exit 1 + cp -dpR $DL_DIR/config/etc/init.d/functions $INITRDDIR/ || exit 1 rm -rf $INITRDDIR/CVS pushd $ETCDIR/etc > /dev/null Index: ebtables =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/ebtables,v retrieving revision 1.7.2.2 retrieving revision 1.7.2.3 diff -u -d -r1.7.2.2 -r1.7.2.3 --- ebtables 12 Jun 2006 20:12:21 -0000 1.7.2.2 +++ ebtables 8 Sep 2006 15:48:02 -0000 1.7.2.3 @@ -42,6 +42,10 @@ set_kernel_option CONFIG_IP_NF_MATCH_PHYSDEV m fi + if [ ! -f devil-linux-ebtables-makefile-patch.done ]; then + bzcat $DL_DIR/src/ebtables-v2.0.8-rc2.patch.bz2 | patch || exit 1 + touch devil-linux-ebtables-makefile-patch.done + fi make MANDIR=/usr/share/man $PMAKE CC="gcc -fno-stack-protector" all || exit 1 strip_debug fi @@ -49,7 +53,7 @@ install ) if [ "$CONFIG_EBTABLES" = "y" ]; then - make install MANDIR=$CDDIR/usr/share/man ETHERTYPESPATH=$ETCDIR/etc BINPATH=$CDDIR/sbin/ || exit 1 + make install MANDIR=$CDDIR/usr/share/man ETHERTYPESPATH=$ETCDIR/etc BINDIR=$CDDIR/sbin INITDIR=$ETCDIR/etc/init.d SYSCONFIGDIR=$ETCDIR/etc/sysconfig LIBDIR=$CDDIR/usr/lib SCRIPTSYSCONFIGDIR=/etc/sysconfig SCRIPTBINDIR=/sbin || exit 1 fi ;; Index: pptp-linux =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/pptp-linux,v retrieving revision 1.9 retrieving revision 1.9.2.1 diff -u -d -r1.9 -r1.9.2.1 --- pptp-linux 11 Jan 2004 14:43:05 -0000 1.9 +++ pptp-linux 8 Sep 2006 15:48:02 -0000 1.9.2.1 @@ -25,6 +25,8 @@ MYNAME=PPTP_CLIENT +cd $(find_src_dir pptp) || exit 1 + case $1 in build ) if [ "$CONFIG_PPP" = "y" ] && [ "$CONFIG_PPTP_CLIENT" = "y" ]; then Index: build-iso =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/build-iso,v retrieving revision 1.65.2.3 retrieving revision 1.65.2.4 diff -u -d -r1.65.2.3 -r1.65.2.4 --- build-iso 25 May 2006 18:35:40 -0000 1.65.2.3 +++ build-iso 8 Sep 2006 15:48:02 -0000 1.65.2.4 @@ -131,7 +131,6 @@ # store version echo $DL_VERSION > $INITRDDIR/VERSION - cp -p $ETCDIR/etc/initrd/linuxrc $INITRDDIR mkfs.cramfs $INITRDDIR/ $BOOTIMAGEDIR/initrd gzip -f -9 $BOOTIMAGEDIR/initrd @@ -180,12 +179,6 @@ # store version echo $DL_VERSION > $WORKDIR/mnt/loop2/VERSION - # we need the linuxrc and links scripts - cp -p $ETCDIR/etc/initrd/linuxrc $INITRDDIR - - # and the functions script - cp -p $ETCDIR/etc/init.d/functions $INITRDDIR - # then we copy the contents of our initrdtree to this filesystem cp -dpR $INITRDDIR/* $WORKDIR/mnt/loop2/ @@ -214,7 +207,7 @@ rm $WORKDIR/ramdisk # how much is the contents of the bootimagetree? - #ISIZE=`du -s -k $BOOTIMAGEDIR | awk '{print $1}'` + #ISIZE=`du -s -k $BOOTIMAGEDIR | awk \'{print $1}'` #echo "Boot image size is $ISIZE KB" echo "done" @@ -355,13 +348,11 @@ mkisofs -b boot/isolinux.bin -c boot/boot.cat \ -no-emul-boot -boot-load-size 4 -boot-info-table \ -o $WORKDIR/bootcd.iso \ - -J -l -L -R $MKISOFS_PARAM \ - -p "he...@de..." \ - -P "Devil Linux Developer Team" \ + -J -l -R $MKISOFS_PARAM \ + -allow-leading-dots -allow-lowercase -allow-multidot \ -A "Devil-Linux v$DL_VERSION" \ -iso-level 2 \ -quiet . - #-r popd > /dev/null |
|
From: Heiko Z. <smi...@us...> - 2006-09-08 15:48:06
|
Update of /cvsroot/devil-linux/build/config/etc In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv27180/config/etc Added Files: Tag: rel-1-2-patches sysctl.conf Log Message: - added default /etc/sysctl.conf (Kari Mattson + Heiko) - ebtables is correctly build again (unkown + Heiko) - updated Linux-PAM to 0.99.6.3 - updated cdrtools to 2.01.01a13 - updated mrtg to 2.14.7 - updated openssl to 0.9.7k - updated pptp to 1.7.1 - updated pptpd to 1.3.3 --- NEW FILE: sysctl.conf --- # /etc/sysctl.conf # A note on interfaces: # ..conf.all.. denotes all current and future interfaces # ..conf.default.. denotes all future interfaces # ..conf.xxx.. denotes that specified interface # If this is a proxyarp firewall, you have to enable (1) proxyarp # on selected interfaces. Otherwise, leave it all disabled (0). net.ipv4.conf.all.proxy_arp = 0 #net.ipv4.conf.eth0.proxy_arp = 1 #net.ipv4.conf.eth2.proxy_arp = 1 # Enable (0) or disable (1) replying to normal pings. net.ipv4.icmp_echo_ignore_all = 0 # Enable (0) or disable (1) replying to broadcast and multicast pings. net.ipv4.icmp_echo_ignore_broadcasts = 1 # Enable (1) normally; disable (0) on some special, complex firewalls. net.ipv4.conf.all.rp_filter = 1 # There is really no need for source routes due to security. net.ipv4.conf.all.accept_source_route = 0 # There is really no need to accept redirects due to security. net.ipv4.conf.all.accept_redirects = 0 # There is really no need to accept redirects due to security. net.ipv4.conf.all.secure_redirects = 0 # Enable (1) only on some rare router/firewall setups. net.ipv4.conf.all.send_redirects = 0 # Enable (1) or disable (0) logging packets which are received with # illegal source address; internal IP coming in from outside etc. net.ipv4.conf.all.log_martians = 1 #net.ipv4.conf.default.log_martians = 1 #net.ipv4.conf.eth0.log_martians = 1 #net.ipv4.conf.eth1.log_martians = 1 # Enable (1) or disable (0) TCP SYN cookie protection. net.ipv4.tcp_syncookies = 1 # TCP FIN handshaking phase timeout in seconds. #net.ipv4.tcp_fin_timeout = 20 # Keep TCP connections open, they might auto close otherwise. #net.ipv4.tcp_keepalive_intvl = 60 |
|
From: Heiko Z. <smi...@us...> - 2006-09-05 21:22:11
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv2221 Modified Files: md5sum.lst Log Message: oops Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.296 retrieving revision 1.297 diff -u -d -r1.296 -r1.297 --- md5sum.lst 5 Sep 2006 21:19:46 -0000 1.296 +++ md5sum.lst 5 Sep 2006 21:22:08 -0000 1.297 @@ -324,6 +324,7 @@ 7e2d47fb1c3176812e8fd03572e52c92 src/man-pages-1.65.tar.bz2 18b20db6e40480a53bac2870c56fc3c4 src/mc-4.6.1.tar.gz 3c7d6b3ca73ef12136746a8d06fc27a8 src/mcrypt-2.6.3.tar.gz +d41d8cd98f00b204e9800998ecf8427e src/md5sum.lst 6058c2a4bf01a2047bf389f443197933 src/mdadm-2.5.3.tgz 46028d276c39c2eebe7759ba813f97df src/memtest86-3.2.tar.gz 4b80c418bc58add3e40de3be0ac6c02a src/mgetty1.1.30-Dec16.tar.gz @@ -343,7 +344,6 @@ 6f8c59cc214dbffd555085b1db7272c1 src/mxser.tgz 4a0da771fad034a6d6feb7811ec39ffb src/mysql-4.0.20-nptl-1.patch.bz2 a1dc5375f6580db5073d542200a9ad5b src/mysql-4.1.20.tar.gz -b0533dce52a3147234e588f51affbcab src/mysql-5.0.22.tar.gz 1a77528f6797bd3c0320da5e4fae2b1a src/nagios-2.5.tar.gz 2c40fc69d51cc979e85150870a1daa93 src/nagios-plugins-1.4.3.tar.gz e9a43273c3592724081a2b9194a5ab56 src/nail-11.10.tar.bz2 |
|
From: Heiko Z. <smi...@us...> - 2006-09-05 21:19:49
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv1236 Modified Files: CHANGES md5sum.lst Log Message: - updated Mail-SpamAssassin-3.1.5 - updated postfix-2.3.3 - updated sagator-0.8.0 - updated samba-3.0.23c - updated stunnel-4.16 - updated glib to 2.12.2 - updated gnupg to 1.4.5 - updated postfix to 2.3.2 - updated syslinux to 3.20 - updated whois to 4.7.15 - added nagios to 2.5 - added nagios-plugins to 1.4.3 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1053 retrieving revision 1.1054 diff -u -d -r1.1053 -r1.1054 --- CHANGES 20 Aug 2006 19:51:27 -0000 1.1053 +++ CHANGES 5 Sep 2006 21:19:46 -0000 1.1054 @@ -22,6 +22,16 @@ # 1.3.2 +- updated Mail-SpamAssassin-3.1.5 +- updated postfix-2.3.3 +- updated sagator-0.8.0 +- updated samba-3.0.23c +- updated stunnel-4.16 +- updated glib to 2.12.2 +- updated gnupg to 1.4.5 +- updated postfix to 2.3.2 +- updated syslinux to 3.20 +- updated whois to 4.7.15 - added nagios to 2.5 - added nagios-plugins to 1.4.3 - added nrpe to 2.5.2 Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.295 retrieving revision 1.296 diff -u -d -r1.295 -r1.296 --- md5sum.lst 20 Aug 2006 19:51:27 -0000 1.295 +++ md5sum.lst 5 Sep 2006 21:19:46 -0000 1.296 @@ -88,7 +88,7 @@ 1c9fe43e8b706184bdf740e049655305 src/Linux-PAM-0.99.6.1.tar.bz2 90901044f52f5213a2abc612b9745c1b src/MOSIX-1.9.0.tgz 6b154c442a335c2a281defe17c8008e8 src/MOSKRN-1.9.0.tgz -c620b0a20791999a8f8091b0888e0195 src/Mail-SpamAssassin-3.1.4.tar.bz2 +ae8734220ef82bbb1872f64dbf9c0995 src/Mail-SpamAssassin-3.1.5.tar.bz2 a2c089faa2726c142419c03472fc4063 src/Python-2.3.4.tar.bz2 85d2e73c5a3175b96d1d956c52835fe4 src/acl-2.2.32.src.tar.gz de2f1f1ec8f50add1f286fd4372ae0bf src/aide_0.11a-2.diff.gz @@ -206,7 +206,7 @@ 49dbe06ce830fc73874d6b38bdc5b4db src/glibc-libidn-2.3.6.tar.bz2 65598b329290cdc1fcb73b6b18891baf src/gmp-4.1.3.tar.bz2 63ecb94c16f34efebd08d16234d8d4a1 src/gnugk-2.2.3-2.tar.gz -fab063f2218dee3f9af78dd55b521849 src/gnupg-1.4.4.tar.bz2 +811525965b4c0987e6418a7729a6444d src/gnupg-1.4.5.tar.bz2 2c63e827d755527950d9d13fe3d87692 src/gpm-1.20.1.tar.bz2 f1fc1153e1b5593c9805e287d29b92eb src/gradm-2.1.8-200601081938.tar.gz 30ccfe4f0762eacc844f0e12e6bcecf3 src/gradm-distro.diff.bz2 @@ -343,6 +343,7 @@ 6f8c59cc214dbffd555085b1db7272c1 src/mxser.tgz 4a0da771fad034a6d6feb7811ec39ffb src/mysql-4.0.20-nptl-1.patch.bz2 a1dc5375f6580db5073d542200a9ad5b src/mysql-4.1.20.tar.gz +b0533dce52a3147234e588f51affbcab src/mysql-5.0.22.tar.gz 1a77528f6797bd3c0320da5e4fae2b1a src/nagios-2.5.tar.gz 2c40fc69d51cc979e85150870a1daa93 src/nagios-plugins-1.4.3.tar.gz e9a43273c3592724081a2b9194a5ab56 src/nail-11.10.tar.bz2 @@ -397,7 +398,7 @@ 73f823d66f0e8525b77cb45d94fb90c8 src/portmap_5-2.diff.gz 781e16ed4487c4caa082c6fef09ead4f src/portmap_5.orig.tar.gz 4bcce061d059d69f0d77c59dbe4427b4 src/portslave-1.9.11.tar.gz -c4969321233186f6fc386a10b858c63b src/postfix-2.3.1.tar.gz +f957e9319428be81c724b606fe060cc7 src/postfix-2.3.3.tar.gz a65bdc5d833169d28bf6fbaaa8d57fcf src/postgresql-8.1.4.tar.bz2 848f6c3cafeb6074ffeb293c3af79b7c src/ppp-2.4.3.tar.gz 162619419f060527d2d94a0e64e21d99 src/ppp-patches.tar.bz2 @@ -427,8 +428,8 @@ b0c3093d2f0d850760e59ac1db9bf152 src/rpm-4.0.4.tar.gz d9b5b7caa28e56de82780d943f59c231 src/rrdtool-1.2.13.tar.gz fb51636c719e789244d5d4423cf157ac src/rsync-2.6.7.tar.gz -2a64a6376e82b51e7d92581574fddd0b src/sagator-0.7.3.tar.bz2 -5c39505af17cf5caf3d6ed8bab135036 src/samba-3.0.22.tar.gz +96e9b399b52b740227008b4abdaa95e1 src/sagator-0.8.0.tar.bz2 +9e06d5e10f4ae84f7fafad75d1b4184c src/samba-3.0.23c.tar.gz c336057e5409bb5cc77909ef3fbca9cd src/sarg-1.4.1-index.sort.patch.bz2 357f8e175746e19dac4a61f4a2ef0aaf src/sarg-1.4.1.tar.gz 0425cb868cadd026851238452f1db907 src/scponly-4.6.tgz @@ -448,9 +449,9 @@ 617b83cda02eee31562c467ac7289580 src/squidguard-blacklist.tar.bz2 3f64c431a2585e04b9a2e1e958a8b68c src/squidguard_1.2.0-5.diff.gz 09bcd5d00ece28f8154dec11cadfce3c src/strace-4.5.14.tar.bz2 -2c00153ad099a5f9c5609e8d1dbbe470 src/stunnel-4.15.tar.gz +8ea5cae3eeaacc0271b766506b4b9d4a src/stunnel-4.16.tar.gz 6d0346abd16914956bc7ea4f17fc85fb src/sudo-1.6.8p9.tar.gz -513ff71287a4397d507879a1a836c2e8 src/syslinux-3.11.tar.bz2 +0701e0de1de6d31bdd889384b041e5b7 src/syslinux-3.20.tar.bz2 ffbad7e8e6dcbe385820b8ffba23b622 src/syslog-ng-1.6.8.tar.gz 3daf8ef3d480dec0c99983cc9a1b4a20 src/sysstat-5.0.6.tar.bz2 7d5d61c026122ab791ac04c8a84db967 src/sysvinit-2.86.tar.gz @@ -498,7 +499,7 @@ 26d0a3c142423678daed2d6f579525d8 src/webalizer-2.01-10-src.tar.bz2 795fefbb7099f93e2d346b026785c4b8 src/wget-1.10.2.tar.gz 3897f2a9d0c53a166ba68be9c21353a6 src/which-2.14.tar.gz -41cc0635976d6d0b33ba3067ad246b97 src/whois_4.7.8.tar.gz +059286b299089f14987bb60c85e96a4b src/whois_4.7.15.tar.gz 29891b66f23565e7e381d28404abb29a src/wireless_tools.27.tar.gz c2fa9d7e771134ac8c89d56b8197d4ca src/wol-0.7.1.tar.gz 8648c044305fc66ee33ecc55d36f8c8b src/wvdial-1.54.0.tar.gz |
|
From: Heiko Z. <smi...@us...> - 2006-09-05 21:19:29
|
Update of /cvsroot/devil-linux/build/scripts/configuration/profiles In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv1175/scripts/configuration/profiles Modified Files: Tag: rel-1-2-patches default server Log Message: - updated Mail-SpamAssassin-3.1.5 - updated grsecurity-2.1.9-2.4.33.3-200609031224 - updated linux-2.4.33.3 - updated postfix-2.3.3 - updated sagator-0.8.0 - updated samba-3.0.23c - updated stunnel-4.16 - updated glib to 2.12.2 - updated gnupg to 1.4.5 - updated gradm to 2.1.9-200608201448 - updated grsecurity to 2.1.9-2.4.33.2-200608231938 - updated linux to 2.4.33.2 - updated php to 4.4.4 - updated postfix to 2.3.2 - updated syslinux to 3.20 - updated whois to 4.7.15 - added nagios to 2.5 (disabled in standard build until fully functional) - added nagios-plugins to 1.4.3 (disabled in standard build until fully functional) Index: default =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/profiles/default,v retrieving revision 1.29.2.38 retrieving revision 1.29.2.39 diff -u -d -r1.29.2.38 -r1.29.2.39 --- default 20 Aug 2006 13:26:31 -0000 1.29.2.38 +++ default 5 Sep 2006 21:19:21 -0000 1.29.2.39 @@ -221,4 +221,4 @@ CONFIG_NDIS=y CONFIG_NUT=y CONFIG_DSPAM=y -CONFIG_NAGIOS=y +CONFIG_NAGIOS=n Index: server =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/profiles/Attic/server,v retrieving revision 1.1.2.27 retrieving revision 1.1.2.28 diff -u -d -r1.1.2.27 -r1.1.2.28 --- server 20 Aug 2006 13:26:31 -0000 1.1.2.27 +++ server 5 Sep 2006 21:19:21 -0000 1.1.2.28 @@ -219,4 +219,4 @@ CONFIG_ZISOFS=y CONFIG_DSPAM=y CONFIG_VMWARE=y -CONFIG_NAGIOS=y +CONFIG_NAGIOS=n |
|
From: Heiko Z. <smi...@us...> - 2006-09-05 21:19:28
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv1175/scripts Modified Files: Tag: rel-1-2-patches grsecurity Log Message: - updated Mail-SpamAssassin-3.1.5 - updated grsecurity-2.1.9-2.4.33.3-200609031224 - updated linux-2.4.33.3 - updated postfix-2.3.3 - updated sagator-0.8.0 - updated samba-3.0.23c - updated stunnel-4.16 - updated glib to 2.12.2 - updated gnupg to 1.4.5 - updated gradm to 2.1.9-200608201448 - updated grsecurity to 2.1.9-2.4.33.2-200608231938 - updated linux to 2.4.33.2 - updated php to 4.4.4 - updated postfix to 2.3.2 - updated syslinux to 3.20 - updated whois to 4.7.15 - added nagios to 2.5 (disabled in standard build until fully functional) - added nagios-plugins to 1.4.3 (disabled in standard build until fully functional) Index: grsecurity =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/grsecurity,v retrieving revision 1.20.2.9 retrieving revision 1.20.2.10 diff -u -d -r1.20.2.9 -r1.20.2.10 --- grsecurity 17 Aug 2006 22:58:03 -0000 1.20.2.9 +++ grsecurity 5 Sep 2006 21:19:21 -0000 1.20.2.10 @@ -53,6 +53,8 @@ eval $(grep ^EXTRAVERSION Makefile | tr -d ' ') eval $(grep ^\+EXTRAVERSION grsecurity.patch | tr -d ' ' | \ sed -e "s/+\(EXTRAVERSION\)/GRSEC_\1/") + # let's disable that stuff for now, we need a lot more logic because of the new kernel versioning (x.x.x) + EXTRAVERSION="" if [ -n "${EXTRAVERSION}" ]; then cat <<-EOF | patch -p0 -l || exit 1 --- grsecurity.patch |
|
From: Heiko Z. <smi...@us...> - 2006-09-05 21:19:28
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv1175 Modified Files: Tag: rel-1-2-patches CHANGES md5sum.lst Log Message: - updated Mail-SpamAssassin-3.1.5 - updated grsecurity-2.1.9-2.4.33.3-200609031224 - updated linux-2.4.33.3 - updated postfix-2.3.3 - updated sagator-0.8.0 - updated samba-3.0.23c - updated stunnel-4.16 - updated glib to 2.12.2 - updated gnupg to 1.4.5 - updated gradm to 2.1.9-200608201448 - updated grsecurity to 2.1.9-2.4.33.2-200608231938 - updated linux to 2.4.33.2 - updated php to 4.4.4 - updated postfix to 2.3.2 - updated syslinux to 3.20 - updated whois to 4.7.15 - added nagios to 2.5 (disabled in standard build until fully functional) - added nagios-plugins to 1.4.3 (disabled in standard build until fully functional) Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.807.2.253 retrieving revision 1.807.2.254 diff -u -d -r1.807.2.253 -r1.807.2.254 --- CHANGES 20 Aug 2006 19:49:55 -0000 1.807.2.253 +++ CHANGES 5 Sep 2006 21:19:21 -0000 1.807.2.254 @@ -22,11 +22,27 @@ # 1.2.11 -- added nagios to 2.5 -- added nagios-plugins to 1.4.3 +- updated Mail-SpamAssassin-3.1.5 +- updated grsecurity-2.1.9-2.4.33.3-200609031224 +- updated linux-2.4.33.3 +- updated postfix-2.3.3 +- updated sagator-0.8.0 +- updated samba-3.0.23c +- updated stunnel-4.16 +- updated glib to 2.12.2 +- updated gnupg to 1.4.5 +- updated gradm to 2.1.9-200608201448 +- updated grsecurity to 2.1.9-2.4.33.2-200608231938 +- updated linux to 2.4.33.2 +- updated php to 4.4.4 +- updated postfix to 2.3.2 +- updated syslinux to 3.20 +- updated whois to 4.7.15 +- added nagios to 2.5 (disabled in standard build until fully functional) +- added nagios-plugins to 1.4.3 (disabled in standard build until fully functional) - added nrpe to 2.5.2 - added nsca to 2.6 -- update bind to 9.3.2 (bs) +- updated bind to 9.3.2 (bs) - added siproxd 0.5.14 (Heiko / Roland Pabel) - added support for pidfiles in /etc/init.d/functions for reloadproc, killproc and statusproc (Heiko / Roland Pabel) Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.102.2.165 retrieving revision 1.102.2.166 diff -u -d -r1.102.2.165 -r1.102.2.166 --- md5sum.lst 20 Aug 2006 19:49:56 -0000 1.102.2.165 +++ md5sum.lst 5 Sep 2006 21:19:21 -0000 1.102.2.166 @@ -90,7 +90,7 @@ 1c9fe43e8b706184bdf740e049655305 src/Linux-PAM-0.99.6.1.tar.bz2 90901044f52f5213a2abc612b9745c1b src/MOSIX-1.9.0.tgz 6b154c442a335c2a281defe17c8008e8 src/MOSKRN-1.9.0.tgz -c620b0a20791999a8f8091b0888e0195 src/Mail-SpamAssassin-3.1.4.tar.bz2 +ae8734220ef82bbb1872f64dbf9c0995 src/Mail-SpamAssassin-3.1.5.tar.bz2 a2c089faa2726c142419c03472fc4063 src/Python-2.3.4.tar.bz2 85d2e73c5a3175b96d1d956c52835fe4 src/acl-2.2.32.src.tar.gz de2f1f1ec8f50add1f286fd4372ae0bf src/aide_0.11a-2.diff.gz @@ -201,18 +201,18 @@ 1d1b1d5c0245b1c00aff92da751e9aa1 src/gdbm-1.8.3.tar.gz eb3db4185f21185a89ae6f7cba49c404 src/gdchart0.11.4dev.tar.gz 6fe30dad87c77b91b632def29dd69ef9 src/glib-1.2.10.tar.gz -51df7932da118f7f27bbda82b65f0f91 src/glib-2.10.1.tar.bz2 +45471ca86af288b7a48116ab2b498d0c src/glib-2.12.2.tar.bz2 ede969aad568f48083e413384f20753c src/glibc-2.3.2.tar.bz2 894b8969cfbdf787c73e139782167607 src/glibc-linuxthreads-2.3.2.tar.bz2 60bd8402892f120f77727c0ef8f6ffda src/glibc-patches.tar.bz2 ed39b34dd14014cc504840776af5ba10 src/gmp-4.1.2.tar.bz2 63ecb94c16f34efebd08d16234d8d4a1 src/gnugk-2.2.3-2.tar.gz -fab063f2218dee3f9af78dd55b521849 src/gnupg-1.4.4.tar.bz2 +811525965b4c0987e6418a7729a6444d src/gnupg-1.4.5.tar.bz2 2c63e827d755527950d9d13fe3d87692 src/gpm-1.20.1.tar.bz2 -e4c5279f3cbfb2927ecc90f7e0ec3c2f src/gradm-2.1.9-200607142202.tar.gz +c88906dd92d8727e3949cb30ff5f488e src/gradm-2.1.9-200608201448.tar.gz ddd99e2d5d4f4611357e31e97f080cf2 src/grep-2.5.1.tar.bz2 f7c9cf2e4b9967d3af167d7c9fadaae4 src/groff-1.19.2.tar.gz -8c922a315cb6ecb276a83920a70abe11 src/grsecurity-2.1.9-2.4.33-200608131429.patch.gz +a8716df84c19673bda2e8764abaa01e7 src/grsecurity-2.1.9-2.4.33.3-200609031224.patch.gz b5aa755f4e2b3f3c54116ba3887c0393 src/grsecurity-kernel-vhz1.patch.bz2 6ea0ee97ca7206b3ac45d55eab0d6e42 src/grsecurity-kernel-vhz2.patch.bz2 cd3f3eb54446be6003156158d51f4884 src/grub-0.97.tar.gz @@ -293,7 +293,7 @@ d5b561190cbe0968d50e09e0031edb79 src/lilo-22.5.9.tar.gz e6d8a38a304d76c7074a4da12dacc15f src/linux-2.4.23-protector-1.patch.bz2 146757efc4dc3d66332415b8d29e6c39 src/linux-2.4.31-mppe-mppc-1.3.patch.gz -52a0428fedaa532bf74c266eb4ad0ac2 src/linux-2.4.33.1.tar.bz2 +ab5940e952c3e337128b9f97c51eab94 src/linux-2.4.33.3.tar.bz2 0672ccd871def6842814c2d9d8c0689a src/linux-wlan-ng-0.2.1-pre16.tar.gz 229f83cfbd081d5e7bd46885efec1c72 src/lm_sensors-2.9.2.tar.gz 9ec24a9f2cf588b348adf1a1381af8a4 src/loadlin16c-devil.tar.bz2 @@ -380,14 +380,14 @@ 61067f730c46cf6bdd0f8efe3f4f51b6 src/pcre-6.6.tar.bz2 9452d398f0fcd4e5cd7ef6628bc78c6e src/pcwd-1.42.tar.gz a377c0c67ab43fd96eeec29ce19e8382 src/perl-5.8.8.tar.bz2 -9542117551c0e79f5bf21f46493094e7 src/php-4.4.3.tar.bz2 +bc6fa8908e2ac36e93bab9f7d42cda3a src/php-4.4.4.tar.bz2 a7e4f60a6657dbc434334deb594cc242 src/pkgconfig-0.15.0.tar.gz 734b375abdcc6bf70541d0bef8147449 src/popt-1.6.4.tar.gz 082c55e473581d2ff887c6e0912b6554 src/portmap_5-1.diff.gz 73f823d66f0e8525b77cb45d94fb90c8 src/portmap_5-2.diff.gz 781e16ed4487c4caa082c6fef09ead4f src/portmap_5.orig.tar.gz 4bcce061d059d69f0d77c59dbe4427b4 src/portslave-1.9.11.tar.gz -c4969321233186f6fc386a10b858c63b src/postfix-2.3.1.tar.gz +f957e9319428be81c724b606fe060cc7 src/postfix-2.3.3.tar.gz a65bdc5d833169d28bf6fbaaa8d57fcf src/postgresql-8.1.4.tar.bz2 848f6c3cafeb6074ffeb293c3af79b7c src/ppp-2.4.3.tar.gz 162619419f060527d2d94a0e64e21d99 src/ppp-patches.tar.bz2 @@ -418,8 +418,8 @@ d9b5b7caa28e56de82780d943f59c231 src/rrdtool-1.2.13.tar.gz 013d0387c93bf4db7d06f72e243c6d24 src/rrlogind-sv-1.3.3.tar.gz fb51636c719e789244d5d4423cf157ac src/rsync-2.6.7.tar.gz -2a64a6376e82b51e7d92581574fddd0b src/sagator-0.7.3.tar.bz2 -5c39505af17cf5caf3d6ed8bab135036 src/samba-3.0.22.tar.gz +96e9b399b52b740227008b4abdaa95e1 src/sagator-0.8.0.tar.bz2 +9e06d5e10f4ae84f7fafad75d1b4184c src/samba-3.0.23c.tar.gz c336057e5409bb5cc77909ef3fbca9cd src/sarg-1.4.1-index.sort.patch.bz2 357f8e175746e19dac4a61f4a2ef0aaf src/sarg-1.4.1.tar.gz 0425cb868cadd026851238452f1db907 src/scponly-4.6.tgz @@ -439,10 +439,10 @@ 617b83cda02eee31562c467ac7289580 src/squidguard-blacklist.tar.bz2 3f64c431a2585e04b9a2e1e958a8b68c src/squidguard_1.2.0-5.diff.gz 09bcd5d00ece28f8154dec11cadfce3c src/strace-4.5.14.tar.bz2 -2c00153ad099a5f9c5609e8d1dbbe470 src/stunnel-4.15.tar.gz +8ea5cae3eeaacc0271b766506b4b9d4a src/stunnel-4.16.tar.gz 6d0346abd16914956bc7ea4f17fc85fb src/sudo-1.6.8p9.tar.gz f587720988bc1670071f31d3694ca0fb src/sysklogd-1.4.1.tar.bz2 -513ff71287a4397d507879a1a836c2e8 src/syslinux-3.11.tar.bz2 +0701e0de1de6d31bdd889384b041e5b7 src/syslinux-3.20.tar.bz2 ffbad7e8e6dcbe385820b8ffba23b622 src/syslog-ng-1.6.8.tar.gz 3daf8ef3d480dec0c99983cc9a1b4a20 src/sysstat-5.0.6.tar.bz2 7d5d61c026122ab791ac04c8a84db967 src/sysvinit-2.86.tar.gz @@ -490,7 +490,7 @@ 26d0a3c142423678daed2d6f579525d8 src/webalizer-2.01-10-src.tar.bz2 795fefbb7099f93e2d346b026785c4b8 src/wget-1.10.2.tar.gz 3897f2a9d0c53a166ba68be9c21353a6 src/which-2.14.tar.gz -41cc0635976d6d0b33ba3067ad246b97 src/whois_4.7.8.tar.gz +059286b299089f14987bb60c85e96a4b src/whois_4.7.15.tar.gz a037f5c19ab8f3a89acb09e8cfd22d5b src/wireless_tools.26.tar.gz c2fa9d7e771134ac8c89d56b8197d4ca src/wol-0.7.1.tar.gz e5432b4812b76e31b37cc10b6df62f5f src/wvdial-1.53.tar.gz |
|
From: Bruce S. <bl...@us...> - 2006-08-28 15:02:35
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv16695/scripts/scripts Modified Files: vsftpd.conf Log Message: Add correct pam support for vsftpd. Index: vsftpd.conf =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/vsftpd.conf,v retrieving revision 1.1 retrieving revision 1.2 diff -u -d -r1.1 -r1.2 --- vsftpd.conf 16 Jul 2003 15:19:01 -0000 1.1 +++ vsftpd.conf 28 Aug 2006 15:02:32 -0000 1.2 @@ -35,3 +35,4 @@ #ftp_username=nobody check_shell=NO background=YES +pam_service_name=vsftpd |
|
From: Bruce S. <bl...@us...> - 2006-08-28 14:55:39
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv14170/scripts/scripts Modified Files: Tag: rel-1-2-patches vsftpd.conf Log Message: Add correct pam support for vsftpd. Index: vsftpd.conf =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/vsftpd.conf,v retrieving revision 1.1 retrieving revision 1.1.4.1 diff -u -d -r1.1 -r1.1.4.1 --- vsftpd.conf 16 Jul 2003 15:19:01 -0000 1.1 +++ vsftpd.conf 28 Aug 2006 14:55:34 -0000 1.1.4.1 @@ -35,3 +35,4 @@ #ftp_username=nobody check_shell=NO background=YES +pam_service_name=vsftpd |
|
From: Heiko Z. <smi...@us...> - 2006-08-28 01:05:45
|
Update of /cvsroot/devil-linux/web/sitetools In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv17354 Modified Files: sponsors.php Log Message: added new sponsor Index: sponsors.php =================================================================== RCS file: /cvsroot/devil-linux/web/sitetools/sponsors.php,v retrieving revision 1.11 retrieving revision 1.12 diff -u -d -r1.11 -r1.12 --- sponsors.php 20 Aug 2006 13:16:13 -0000 1.11 +++ sponsors.php 28 Aug 2006 01:05:38 -0000 1.12 @@ -9,6 +9,10 @@ <td class="boxheading" align=center>Donation</td> </tr> <tr> + <td><a href="http://www.couol.com" target="_blank">Online Literature</a></td> + <td align="right">$15</td> +</tr> +<tr> <td><a href="http://www.go4expert.com" target="_blank">Programming Forum</a></td> <td align="right">$60</td> </tr> |
|
From: Heiko Z. <smi...@us...> - 2006-08-20 19:51:31
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv7517/scripts/scripts Added Files: nagios nrpe nsca Log Message: added nagios nagios-plugin still needs work, since it hardcodes path names and didn't find everything --- NEW FILE: nrpe --- #!/bin/bash # # $Source: /cvsroot/devil-linux/build/scripts/scripts/nrpe,v $ # $Revision: 1.2 $ # $Date: 2006/08/20 19:51:27 $ # # http://www.devil-linux.org # ### BEGIN INIT INFO # Provides: nrpe # Required-Start: $network $syslog $named # Required-Stop: $network $syslog $named # Default-Start: # Default-Stop: # Description: Nagios Remote Execution Daemon ### END INIT INFO # settings source /etc/sysconfig/config # parameters NAME="Nagios Remote Execution Daemon" CONFIGNAME=NRPE DAEMON=/usr/sbin/nrpe PARAMETER="-c /etc/nagios/nrpe.cfg -d" # source function library source /etc/init.d/functions eval START=\$START_$CONFIGNAME # Determine the base and follow a runlevel link name. base=${0##*/} link=${base#*[SK][0-9][0-9]} # Force execution if not called by a runlevel directory. test $link = $base && START=yes test "$START" = "yes" || exit 0 if [ ! -e $DAEMON ]; then echo echo "$DAEMON not found. Did you install the package?" exit 1 fi case "$1" in start) echo -n "Starting $NAME: " loadproc $DAEMON $PARAMETER ;; stop) echo -n "Shutting down $NAME: " killproc $DAEMON ;; restart) $0 stop sleep 1 $0 start ;; *) echo "Usage: $0 {start|stop|restart}" exit 1 ;; esac --- NEW FILE: nsca --- #!/bin/bash # # $Source: /cvsroot/devil-linux/build/scripts/scripts/nsca,v $ # $Revision: 1.2 $ # $Date: 2006/08/20 19:51:28 $ # # http://www.devil-linux.org # ### BEGIN INIT INFO # Provides: nsca # Required-Start: $network $syslog $named # Required-Stop: $network $syslog $named # Default-Start: # Default-Stop: # Description: Nagios Secure Comunication Daemon ### END INIT INFO # settings source /etc/sysconfig/config # parameters NAME="Nagios Secure Communication Daemon" CONFIGNAME=NSCA DAEMON=/usr/sbin/nsca PARAMETER="-c /etc/nagios/nsca.cfg -s" # source function library source /etc/init.d/functions eval START=\$START_$CONFIGNAME # Determine the base and follow a runlevel link name. base=${0##*/} link=${base#*[SK][0-9][0-9]} # Force execution if not called by a runlevel directory. test $link = $base && START=yes test "$START" = "yes" || exit 0 if [ ! -e $DAEMON ]; then echo echo "$DAEMON not found. Did you install the package?" exit 1 fi case "$1" in start) echo -n "Starting $NAME: " loadproc $DAEMON $PARAMETER ;; stop) echo -n "Shutting down $NAME: " killproc $DAEMON ;; restart) $0 stop sleep 1 $0 start ;; *) echo "Usage: $0 {start|stop|restart}" exit 1 ;; esac --- NEW FILE: nagios --- #!/bin/bash # # $Source: /cvsroot/devil-linux/build/scripts/scripts/nagios,v $ # $Revision: 1.2 $ # $Date: 2006/08/20 19:51:27 $ # # http://www.devil-linux.org # ### BEGIN INIT INFO # Provides: nagios # Required-Start: $network $syslog $named # Required-Stop: $network $syslog $named # Default-Start: # Default-Stop: # Description: Nagios Daemon ### END INIT INFO # settings source /etc/sysconfig/config # parameters NAME="Nagios Network Monitor" CONFIGNAME=NAGIOS # source function library source /etc/init.d/functions eval START=\$START_$CONFIGNAME # Determine the base and follow a runlevel link name. base=${0##*/} link=${base#*[SK][0-9][0-9]} # Force execution if not called by a runlevel directory. test $link = $base && START=yes test "$START" = "yes" || exit 0 status_nagios () { if test ! -f $NagiosRunFile; then echo "No lock file found in $NagiosRunFile" return 1 fi NagiosPID=`head -n 1 $NagiosRunFile` if test -x $NagiosCGI/daemonchk.cgi; then if $NagiosCGI/daemonchk.cgi -l $NagiosRunFile; then return 0 else return 1 fi else if ps -p $NagiosPID; then return 0 else return 1 fi fi return 1 } killproc_nagios () { if test ! -f $NagiosRunFile; then echo "No lock file found in $NagiosRunFile" return 1 fi NagiosPID=`head -n 1 $NagiosRunFile` kill $2 $NagiosPID } prefix=/usr exec_prefix=${prefix} NagiosBin=${exec_prefix}/bin/nagios NagiosCfgFile=/etc/nagios/nagios.cfg NagiosStatusFile=/var/run/nagios/status.dat NagiosTempFile=/var/run/nagios/nagios.tmp NagiosRetentionFile=/var/run/nagios/retention.dat NagiosCommandFile=/var/run/nagios/rw/nagios.cmd NagiosVarDir=/var/run/nagios NagiosRunFile=/var/run/nagios.lock NagiosLockDir=/var/lock/subsys NagiosLockFile=nagios NagiosCGIDir=${exec_prefix}/sbin NagiosUser=nagios NagiosGroup=nagios # Check that nagios exists. if [ ! -f $NagiosBin ]; then echo "Executable file $NagiosBin not found. Exiting." exit 1 fi # Check that nagios.cfg exists. if [ ! -f $NagiosCfgFile ]; then echo "Configuration file $NagiosCfgFile not found. Exiting." exit 1 fi # See how we were called. case "$1" in start) echo "Starting network monitor: nagios" $NagiosBin -v $NagiosCfgFile > /dev/null 2>&1; if [ $? -eq 0 ]; then su - $NagiosUser -c "touch $NagiosVarDir/nagios.log $NagiosRetentionFile" rm -f $NagiosCommandFile touch $NagiosRunFile chown $NagiosUser:$NagiosGroup $NagiosRunFile $NagiosBin -d $NagiosCfgFile if [ -d $NagiosLockDir ]; then touch $NagiosLockDir/$NagiosLockFile; fi #sleep 1 #status_nagios nagios exit 0 else echo "CONFIG ERROR! Start aborted. Check your Nagios configuration." exit 1 fi ;; stop) echo "Stopping network monitor: nagios" killproc_nagios nagios # now we have to wait for nagios to exit and remove its # own NagiosRunFile, otherwise a following "start" could # happen, and then the exiting nagios will remove the # new NagiosRunFile, allowing multiple nagios daemons # to (sooner or later) run - John Sellens echo -n 'Waiting for nagios to exit .' for i in 1 2 3 4 5 6 7 8 9 10 ; do if status_nagios > /dev/null; then echo -n ' .' sleep 1 else break fi done if status_nagios > /dev/null; then echo '' echo 'Warning - running nagios did not exit in time' else echo ' done.' fi rm -f $NagiosStatusFile $NagiosTempFile $NagiosRunFile $NagiosLockDir/$NagiosLockFile $NagiosCommandFile ;; status) status_nagios nagios ;; restart) printf "Running configuration check..." $NagiosBin -v $NagiosCfgFile > /dev/null 2>&1; if [ $? -eq 0 ]; then echo "done" $0 stop $0 start else #$NagiosBin -v $NagiosCfgFile echo " FAILED! Restart aborted. Check your Nagios configuration." exit 1 fi ;; reload|force-reload) printf "Running configuration check..." $NagiosBin -v $NagiosCfgFile > /dev/null 2>&1; if [ $? -eq 0 ]; then echo "done" if test ! -f $NagiosRunFile; then $0 start else NagiosPID=`head -n 1 $NagiosRunFile` if status_nagios > /dev/null; then printf "Reloading nagios configuration..." killproc_nagios nagios -HUP echo "done" else $0 stop $0 start fi fi else #$NagiosBin -v $NagiosCfgFile echo " FAILED! Reload aborted. Check your Nagios configuration." exit 1 fi ;; *) echo "Usage: nagios {start|stop|restart|reload|force-reload|status}" exit 1 ;; esac # End of this script |
|
From: Heiko Z. <smi...@us...> - 2006-08-20 19:51:31
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv7517/scripts Modified Files: sagator xinetd Added Files: nagios nagios-plugins nrpe nsca Log Message: added nagios nagios-plugin still needs work, since it hardcodes path names and didn't find everything --- NEW FILE: nrpe --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/nrpe,v $ # $Revision: 1.2 $ # $Date: 2006/08/20 19:51:27 $ # # http://www.devil-linux.org # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: nrpe # Required-Start: $basebuildtools $libs nagios nagios-plugins xinetd # Required-Stop: # Default-Start: 1 2 # Default-Stop: # Description: Nagios nrpe ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} # source functions and config source $MYDIR/settings case $1 in build ) if [ "$CONFIG_NAGIOS" = "y" ]; then ./configure --prefix=/usr --libexecdir=/usr/libexec/nagios --sysconfdir=/etc/nagios || exit 1 make $PMAKE all || exit 1 strip_debug fi ;; install ) if [ "$CONFIG_NAGIOS" = "y" ]; then cp -v src/nrpe $CDDIR/usr/sbin/ || exit 1 cp -v src/check_nrpe $CDDIR/usr/libexec/nagios/ || exit 1 cp -v sample-config/nrpe.cfg $ETCDIR/etc/nagios/ || exit 1 cp -v sample-config/nrpe.xinetd $ETCDIR/etc/xinet.d/ || exit 1 echo "nrpe 5666/tcp # NRPE" >> $ETCDIR/etc/services || exit 1 cp $MYDIR/scripts/nrpe $ETCDIR/etc/init.d || exit 1 echo "# Start the Nagios Remote Program Execution daemon?" >> $CONFIGFILE echo "START_NRPE=no" >> $CONFIGFILE echo >> $CONFIGFILE echo "HELP_NRPE=\"Nagios Remote Program Execution daemon\"" >> $SOFTWAREHELP fi ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac --- NEW FILE: nagios --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/nagios,v $ # $Revision: 1.2 $ # $Date: 2006/08/20 19:51:27 $ # # http://www.devil-linux.org # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: nagios # Required-Start: $basebuildtools $libs # Required-Stop: # Default-Start: 1 2 # Default-Stop: # Description: Nagios ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} # source functions and config source $MYDIR/settings case $1 in build ) if [ "$CONFIG_NAGIOS" = "y" ]; then ./configure --prefix=/usr --with-lockfile=/var/run/nagios.lock --with-init-dir=/etc/init.d --sysconfdir=/etc/nagios \ --datadir=/usr/share/nagios --localstatedir=/var/nagios --sbindir=/usr/sbin/nagios || exit 1 make $PMAKE all || exit 1 strip_debug fi ;; install ) if [ "$CONFIG_NAGIOS" = "y" ]; then rm -rf $TMPDIR || exit 1 mkdir $TMPDIR || exit 1 userdel nagios &> /dev/null groupadd -f -g 66 nagios || exit 1 useradd -u 66 -g nagios -s /bin/false -d /var/nagios nagios || exit 1 make install install-commandmode install-config DESTDIR=$TMPDIR || exit 1 copy_docs $TMPDIR mkdir -p $CDDIR/var/nagios || exit 1 chown nagios.nagios $CDDIR/var/nagios || exit 1 cp -dpvR $TMPDIR/usr $CDDIR/ || exit 1 cp -dpvR $TMPDIR/etc $ETCDIR/ || exit 1 rm -rf $TMPDIR || exit 1 cp $MYDIR/scripts/nagios $ETCDIR/etc/init.d || exit 1 echo "# Start the Nagios daemon?" >> $CONFIGFILE echo "START_NAGIOS=no" >> $CONFIGFILE echo >> $CONFIGFILE echo "HELP_NAGIOS=\"Nagios System and Network Monitoring Daemon\"" >> $SOFTWAREHELP fi ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac --- NEW FILE: nagios-plugins --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/nagios-plugins,v $ # $Revision: 1.2 $ # $Date: 2006/08/20 19:51:27 $ # # http://www.devil-linux.org # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: nagios-plugins # Required-Start: $basebuildtools $libs nagios ntp samba openssh net-snmp # Required-Stop: # Default-Start: 1 2 # Default-Stop: # Description: Nagios plugins ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} # source functions and config source $MYDIR/settings case $1 in build ) if [ "$CONFIG_NAGIOS" = "y" ]; then ./configure --prefix=/usr --libexecdir=/usr/libexec/nagios --disable-rpath || exit 1 make $PMAKE all || exit 1 strip_debug fi ;; install ) if [ "$CONFIG_NAGIOS" = "y" ]; then rm -rf $TMPDIR || exit 1 mkdir $TMPDIR || exit 1 make install DESTDIR=$TMPDIR || exit 1 copy_docs $TMPDIR cp -dpvR $TMPDIR/usr $CDDIR/ || exit 1 rm -rf $TMPDIR || exit 1 fi ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac Index: xinetd =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/xinetd,v retrieving revision 1.9 retrieving revision 1.10 diff -u -d -r1.9 -r1.10 --- xinetd 11 Jan 2004 14:43:05 -0000 1.9 +++ xinetd 20 Aug 2006 19:51:27 -0000 1.10 @@ -40,6 +40,7 @@ cp -dp xinetd/xinetd $CDDIR/usr/sbin || exit 1 cp -dp xinetd/itox $CDDIR/usr/sbin || exit 1 cp -dp xinetd/sample.conf $ETCDIR/etc/xinetd.conf.sample || exit 1 + mkdir -p $ETCDIR/etc/xinet.d || exit 1 cp $MYDIR/scripts/xinetd $ETCDIR/etc/init.d || exit 1 copy_man ./xinetd mkdir -p $CDDIR/usr/share/man/man5 --- NEW FILE: nsca --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/nsca,v $ # $Revision: 1.2 $ # $Date: 2006/08/20 19:51:27 $ # # http://www.devil-linux.org # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: nsca # Required-Start: $basebuildtools $libs nagios nagios-plugins xinetd # Required-Stop: # Default-Start: 1 2 # Default-Stop: # Description: Nagios nsca ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} # source functions and config source $MYDIR/settings case $1 in build ) if [ "$CONFIG_NAGIOS" = "y" ]; then ./configure --prefix=/usr --libexecdir=/usr/libexec/nagios --sysconfdir=/etc/nagios || exit 1 make $PMAKE all || exit 1 strip_debug fi ;; install ) if [ "$CONFIG_NAGIOS" = "y" ]; then cp -v src/nsca $CDDIR/usr/sbin/ || exit 1 cp -v src/send_nsca $CDDIR/usr/sbin/ || exit 1 cp -v sample-config/*.cfg $ETCDIR/etc/nagios/ || exit 1 cp -v sample-config/nsca.xinetd $ETCDIR/etc/xinet.d/ || exit 1 echo "nsca 5667/tcp # NSCA" >> $ETCDIR/etc/services || exit 1 cp $MYDIR/scripts/nsca $ETCDIR/etc/init.d || exit 1 echo "# Start the Nagios Secure Communication daemon?" >> $CONFIGFILE echo "START_NSCA=no" >> $CONFIGFILE echo >> $CONFIGFILE echo "HELP_NSCA=\"Nagios Secure Communication daemon\"" >> $SOFTWAREHELP fi ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac |
|
From: Heiko Z. <smi...@us...> - 2006-08-20 19:51:31
|
Update of /cvsroot/devil-linux/build/scripts/configuration In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv7517/scripts/configuration Added Files: nagios.config Log Message: added nagios nagios-plugin still needs work, since it hardcodes path names and didn't find everything --- NEW FILE: nagios.config --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/configuration/nagios.config,v $ # $Revision: 1.2 $ # $Date: 2006/08/20 19:51:27 $ # # http://www.devil-linux.org menu_add "Networking|Services" bool "NAGIOS" CONFIG_NAGIOS |
|
From: Heiko Z. <smi...@us...> - 2006-08-20 19:51:30
|
Update of /cvsroot/devil-linux/build/scripts/configuration/help In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv7517/scripts/configuration/help Added Files: nagios.help Log Message: added nagios nagios-plugin still needs work, since it hardcodes path names and didn't find everything --- NEW FILE: nagios.help --- CONFIG_NAGIOS Nagios is a system and network monitoring application. It watches hosts and services that you specify, alerting you when things go bad and when they get better. Nagios was originally designed to run under Linux, although it should work under most other unices as well. Some of the many features of Nagios include: - Monitoring of network services (SMTP, POP3, HTTP, NNTP, PING, etc.) - Monitoring of host resources (processor load, disk usage, etc.) - Simple plugin design that allows users to easily develop their own service checks - Parallelized service checks - Ability to define network host hierarchy using "parent" hosts, allowing detection of and distinction between hosts that are down and those that are unreachable - Contact notifications when service or host problems occur and get resolved (via email, pager, or user-defined method) - Ability to define event handlers to be run during service or host events for proactive problem resolution - Automatic log file rotation - Support for implementing redundant monitoring hosts - Optional web interface for viewing current network status, notification and problem history, log file, etc. |
|
From: Heiko Z. <smi...@us...> - 2006-08-20 19:51:30
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv7517 Modified Files: CHANGES md5sum.lst Log Message: added nagios nagios-plugin still needs work, since it hardcodes path names and didn't find everything Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1052 retrieving revision 1.1053 diff -u -d -r1.1052 -r1.1053 --- CHANGES 18 Aug 2006 18:57:41 -0000 1.1052 +++ CHANGES 20 Aug 2006 19:51:27 -0000 1.1053 @@ -22,6 +22,10 @@ # 1.3.2 +- added nagios to 2.5 +- added nagios-plugins to 1.4.3 +- added nrpe to 2.5.2 +- added nsca to 2.6 - update bind to 9.3.2 (bs) - added siproxd 0.5.14 (Heiko / Roland Pabel) - added support for pidfiles in /etc/init.d/functions for reloadproc, killproc Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.294 retrieving revision 1.295 diff -u -d -r1.294 -r1.295 --- md5sum.lst 18 Aug 2006 18:57:41 -0000 1.294 +++ md5sum.lst 20 Aug 2006 19:51:27 -0000 1.295 @@ -343,6 +343,8 @@ 6f8c59cc214dbffd555085b1db7272c1 src/mxser.tgz 4a0da771fad034a6d6feb7811ec39ffb src/mysql-4.0.20-nptl-1.patch.bz2 a1dc5375f6580db5073d542200a9ad5b src/mysql-4.1.20.tar.gz +1a77528f6797bd3c0320da5e4fae2b1a src/nagios-2.5.tar.gz +2c40fc69d51cc979e85150870a1daa93 src/nagios-plugins-1.4.3.tar.gz e9a43273c3592724081a2b9194a5ab56 src/nail-11.10.tar.bz2 f2b3efbf1cf356d736740d531b6b22c4 src/nano-1.2.5.tar.gz 2032ad44c7359f7a9a166a40a633e772 src/nasm-0.98.39.tar.bz2 @@ -358,6 +360,8 @@ 73981058e49b0b4ce2a15e21960529f5 src/nfs-utils-1.0.9.tar.gz 69bdaa9995f32247b5da7c6b6c41df9b src/nmap-4.11.tar.bz2 c011fc1595dd125443df2d357958c85f src/noip_updater_linux_v1.4.tar.gz +22afa197db8e4e5b13fac48636917b6d src/nrpe-2.5.2.tar.gz +d526a3ac3c29648c729c5fb4fb332488 src/nsca-2.6.tar.gz b5449be8d673eacac882ee035ea9a824 src/nss_ldap-227.tar.gz cd29a876b34a7dd76555e9acd8f160bb src/ntop-3.2.tgz 111d879acdcc955e60f527575ab0a71a src/ntp-4.2.2.tar.gz |
|
From: Heiko Z. <smi...@us...> - 2006-08-20 19:50:04
|
Update of /cvsroot/devil-linux/build/scripts/configuration In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv6713/scripts/configuration Added Files: Tag: rel-1-2-patches nagios.config Log Message: added nagios nagios-plugin still needs work, since it hardcodes path names and didn't find everything --- NEW FILE: nagios.config --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/configuration/Attic/nagios.config,v $ # $Revision: 1.1.2.1 $ # $Date: 2006/08/20 19:49:56 $ # # http://www.devil-linux.org menu_add "Networking|Services" bool "NAGIOS" CONFIG_NAGIOS |
|
From: Heiko Z. <smi...@us...> - 2006-08-20 19:50:04
|
Update of /cvsroot/devil-linux/build/scripts/configuration/help In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv6713/scripts/configuration/help Added Files: Tag: rel-1-2-patches nagios.help Log Message: added nagios nagios-plugin still needs work, since it hardcodes path names and didn't find everything --- NEW FILE: nagios.help --- CONFIG_NAGIOS Nagios is a system and network monitoring application. It watches hosts and services that you specify, alerting you when things go bad and when they get better. Nagios was originally designed to run under Linux, although it should work under most other unices as well. Some of the many features of Nagios include: - Monitoring of network services (SMTP, POP3, HTTP, NNTP, PING, etc.) - Monitoring of host resources (processor load, disk usage, etc.) - Simple plugin design that allows users to easily develop their own service checks - Parallelized service checks - Ability to define network host hierarchy using "parent" hosts, allowing detection of and distinction between hosts that are down and those that are unreachable - Contact notifications when service or host problems occur and get resolved (via email, pager, or user-defined method) - Ability to define event handlers to be run during service or host events for proactive problem resolution - Automatic log file rotation - Support for implementing redundant monitoring hosts - Optional web interface for viewing current network status, notification and problem history, log file, etc. |
|
From: Heiko Z. <smi...@us...> - 2006-08-20 19:50:04
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv6713/scripts/scripts Added Files: Tag: rel-1-2-patches nagios nrpe nsca Log Message: added nagios nagios-plugin still needs work, since it hardcodes path names and didn't find everything --- NEW FILE: nrpe --- #!/bin/bash # # $Source: /cvsroot/devil-linux/build/scripts/scripts/Attic/nrpe,v $ # $Revision: 1.1.2.1 $ # $Date: 2006/08/20 19:49:57 $ # # http://www.devil-linux.org # ### BEGIN INIT INFO # Provides: nrpe # Required-Start: $network $syslog $named # Required-Stop: $network $syslog $named # Default-Start: # Default-Stop: # Description: Nagios Remote Execution Daemon ### END INIT INFO # settings source /etc/sysconfig/config # parameters NAME="Nagios Remote Execution Daemon" CONFIGNAME=NRPE DAEMON=/usr/sbin/nrpe PARAMETER="-c /etc/nagios/nrpe.cfg -d" # source function library source /etc/init.d/functions eval START=\$START_$CONFIGNAME # Determine the base and follow a runlevel link name. base=${0##*/} link=${base#*[SK][0-9][0-9]} # Force execution if not called by a runlevel directory. test $link = $base && START=yes test "$START" = "yes" || exit 0 if [ ! -e $DAEMON ]; then echo echo "$DAEMON not found. Did you install the package?" exit 1 fi case "$1" in start) echo -n "Starting $NAME: " loadproc $DAEMON $PARAMETER ;; stop) echo -n "Shutting down $NAME: " killproc $DAEMON ;; restart) $0 stop sleep 1 $0 start ;; *) echo "Usage: $0 {start|stop|restart}" exit 1 ;; esac --- NEW FILE: nsca --- #!/bin/bash # # $Source: /cvsroot/devil-linux/build/scripts/scripts/Attic/nsca,v $ # $Revision: 1.1.2.1 $ # $Date: 2006/08/20 19:49:57 $ # # http://www.devil-linux.org # ### BEGIN INIT INFO # Provides: nsca # Required-Start: $network $syslog $named # Required-Stop: $network $syslog $named # Default-Start: # Default-Stop: # Description: Nagios Secure Comunication Daemon ### END INIT INFO # settings source /etc/sysconfig/config # parameters NAME="Nagios Secure Communication Daemon" CONFIGNAME=NSCA DAEMON=/usr/sbin/nsca PARAMETER="-c /etc/nagios/nsca.cfg -s" # source function library source /etc/init.d/functions eval START=\$START_$CONFIGNAME # Determine the base and follow a runlevel link name. base=${0##*/} link=${base#*[SK][0-9][0-9]} # Force execution if not called by a runlevel directory. test $link = $base && START=yes test "$START" = "yes" || exit 0 if [ ! -e $DAEMON ]; then echo echo "$DAEMON not found. Did you install the package?" exit 1 fi case "$1" in start) echo -n "Starting $NAME: " loadproc $DAEMON $PARAMETER ;; stop) echo -n "Shutting down $NAME: " killproc $DAEMON ;; restart) $0 stop sleep 1 $0 start ;; *) echo "Usage: $0 {start|stop|restart}" exit 1 ;; esac --- NEW FILE: nagios --- #!/bin/bash # # $Source: /cvsroot/devil-linux/build/scripts/scripts/Attic/nagios,v $ # $Revision: 1.1.2.1 $ # $Date: 2006/08/20 19:49:56 $ # # http://www.devil-linux.org # ### BEGIN INIT INFO # Provides: nagios # Required-Start: $network $syslog $named # Required-Stop: $network $syslog $named # Default-Start: # Default-Stop: # Description: Nagios Daemon ### END INIT INFO # settings source /etc/sysconfig/config # parameters NAME="Nagios Network Monitor" CONFIGNAME=NAGIOS # source function library source /etc/init.d/functions eval START=\$START_$CONFIGNAME # Determine the base and follow a runlevel link name. base=${0##*/} link=${base#*[SK][0-9][0-9]} # Force execution if not called by a runlevel directory. test $link = $base && START=yes test "$START" = "yes" || exit 0 status_nagios () { if test ! -f $NagiosRunFile; then echo "No lock file found in $NagiosRunFile" return 1 fi NagiosPID=`head -n 1 $NagiosRunFile` if test -x $NagiosCGI/daemonchk.cgi; then if $NagiosCGI/daemonchk.cgi -l $NagiosRunFile; then return 0 else return 1 fi else if ps -p $NagiosPID; then return 0 else return 1 fi fi return 1 } killproc_nagios () { if test ! -f $NagiosRunFile; then echo "No lock file found in $NagiosRunFile" return 1 fi NagiosPID=`head -n 1 $NagiosRunFile` kill $2 $NagiosPID } prefix=/usr exec_prefix=${prefix} NagiosBin=${exec_prefix}/bin/nagios NagiosCfgFile=/etc/nagios/nagios.cfg NagiosStatusFile=/var/run/nagios/status.dat NagiosTempFile=/var/run/nagios/nagios.tmp NagiosRetentionFile=/var/run/nagios/retention.dat NagiosCommandFile=/var/run/nagios/rw/nagios.cmd NagiosVarDir=/var/run/nagios NagiosRunFile=/var/run/nagios.lock NagiosLockDir=/var/lock/subsys NagiosLockFile=nagios NagiosCGIDir=${exec_prefix}/sbin NagiosUser=nagios NagiosGroup=nagios # Check that nagios exists. if [ ! -f $NagiosBin ]; then echo "Executable file $NagiosBin not found. Exiting." exit 1 fi # Check that nagios.cfg exists. if [ ! -f $NagiosCfgFile ]; then echo "Configuration file $NagiosCfgFile not found. Exiting." exit 1 fi # See how we were called. case "$1" in start) echo "Starting network monitor: nagios" $NagiosBin -v $NagiosCfgFile > /dev/null 2>&1; if [ $? -eq 0 ]; then su - $NagiosUser -c "touch $NagiosVarDir/nagios.log $NagiosRetentionFile" rm -f $NagiosCommandFile touch $NagiosRunFile chown $NagiosUser:$NagiosGroup $NagiosRunFile $NagiosBin -d $NagiosCfgFile if [ -d $NagiosLockDir ]; then touch $NagiosLockDir/$NagiosLockFile; fi #sleep 1 #status_nagios nagios exit 0 else echo "CONFIG ERROR! Start aborted. Check your Nagios configuration." exit 1 fi ;; stop) echo "Stopping network monitor: nagios" killproc_nagios nagios # now we have to wait for nagios to exit and remove its # own NagiosRunFile, otherwise a following "start" could # happen, and then the exiting nagios will remove the # new NagiosRunFile, allowing multiple nagios daemons # to (sooner or later) run - John Sellens echo -n 'Waiting for nagios to exit .' for i in 1 2 3 4 5 6 7 8 9 10 ; do if status_nagios > /dev/null; then echo -n ' .' sleep 1 else break fi done if status_nagios > /dev/null; then echo '' echo 'Warning - running nagios did not exit in time' else echo ' done.' fi rm -f $NagiosStatusFile $NagiosTempFile $NagiosRunFile $NagiosLockDir/$NagiosLockFile $NagiosCommandFile ;; status) status_nagios nagios ;; restart) printf "Running configuration check..." $NagiosBin -v $NagiosCfgFile > /dev/null 2>&1; if [ $? -eq 0 ]; then echo "done" $0 stop $0 start else #$NagiosBin -v $NagiosCfgFile echo " FAILED! Restart aborted. Check your Nagios configuration." exit 1 fi ;; reload|force-reload) printf "Running configuration check..." $NagiosBin -v $NagiosCfgFile > /dev/null 2>&1; if [ $? -eq 0 ]; then echo "done" if test ! -f $NagiosRunFile; then $0 start else NagiosPID=`head -n 1 $NagiosRunFile` if status_nagios > /dev/null; then printf "Reloading nagios configuration..." killproc_nagios nagios -HUP echo "done" else $0 stop $0 start fi fi else #$NagiosBin -v $NagiosCfgFile echo " FAILED! Reload aborted. Check your Nagios configuration." exit 1 fi ;; *) echo "Usage: nagios {start|stop|restart|reload|force-reload|status}" exit 1 ;; esac # End of this script |
|
From: Heiko Z. <smi...@us...> - 2006-08-20 19:50:04
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv6713/scripts Added Files: Tag: rel-1-2-patches nagios nagios-plugins nrpe nsca Log Message: added nagios nagios-plugin still needs work, since it hardcodes path names and didn't find everything --- NEW FILE: nagios-plugins --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/Attic/nagios-plugins,v $ # $Revision: 1.1.2.1 $ # $Date: 2006/08/20 19:49:56 $ # # http://www.devil-linux.org # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: nagios-plugins # Required-Start: $basebuildtools $libs nagios ntp samba openssh net-snmp # Required-Stop: # Default-Start: 1 2 # Default-Stop: # Description: Nagios plugins ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} # source functions and config source $MYDIR/settings case $1 in build ) if [ "$CONFIG_NAGIOS" = "y" ]; then ./configure --prefix=/usr --libexecdir=/usr/libexec/nagios --disable-rpath || exit 1 make $PMAKE all || exit 1 strip_debug fi ;; install ) if [ "$CONFIG_NAGIOS" = "y" ]; then rm -rf $TMPDIR || exit 1 mkdir $TMPDIR || exit 1 make install DESTDIR=$TMPDIR || exit 1 copy_docs $TMPDIR cp -dpvR $TMPDIR/usr $CDDIR/ || exit 1 rm -rf $TMPDIR || exit 1 fi ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac --- NEW FILE: nrpe --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/Attic/nrpe,v $ # $Revision: 1.1.2.1 $ # $Date: 2006/08/20 19:49:56 $ # # http://www.devil-linux.org # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: nrpe # Required-Start: $basebuildtools $libs nagios nagios-plugins xinetd # Required-Stop: # Default-Start: 1 2 # Default-Stop: # Description: Nagios nrpe ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} # source functions and config source $MYDIR/settings case $1 in build ) if [ "$CONFIG_NAGIOS" = "y" ]; then ./configure --prefix=/usr --libexecdir=/usr/libexec/nagios --sysconfdir=/etc/nagios || exit 1 make $PMAKE all || exit 1 strip_debug fi ;; install ) if [ "$CONFIG_NAGIOS" = "y" ]; then cp -v src/nrpe $CDDIR/usr/sbin/ || exit 1 cp -v src/check_nrpe $CDDIR/usr/libexec/nagios/ || exit 1 cp -v sample-config/nrpe.cfg $ETCDIR/etc/nagios/ || exit 1 cp -v sample-config/nrpe.xinetd $ETCDIR/etc/xinet.d/ || exit 1 echo "nrpe 5666/tcp # NRPE" >> $ETCDIR/etc/services || exit 1 cp $MYDIR/scripts/nrpe $ETCDIR/etc/init.d || exit 1 echo "# Start the Nagios Remote Program Execution daemon?" >> $CONFIGFILE echo "START_NRPE=no" >> $CONFIGFILE echo >> $CONFIGFILE echo "HELP_NRPE=\"Nagios Remote Program Execution daemon\"" >> $SOFTWAREHELP fi ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac --- NEW FILE: nsca --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/Attic/nsca,v $ # $Revision: 1.1.2.1 $ # $Date: 2006/08/20 19:49:56 $ # # http://www.devil-linux.org # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: nsca # Required-Start: $basebuildtools $libs nagios nagios-plugins xinetd # Required-Stop: # Default-Start: 1 2 # Default-Stop: # Description: Nagios nsca ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} # source functions and config source $MYDIR/settings case $1 in build ) if [ "$CONFIG_NAGIOS" = "y" ]; then ./configure --prefix=/usr --libexecdir=/usr/libexec/nagios --sysconfdir=/etc/nagios || exit 1 make $PMAKE all || exit 1 strip_debug fi ;; install ) if [ "$CONFIG_NAGIOS" = "y" ]; then cp -v src/nsca $CDDIR/usr/sbin/ || exit 1 cp -v src/send_nsca $CDDIR/usr/sbin/ || exit 1 cp -v sample-config/*.cfg $ETCDIR/etc/nagios/ || exit 1 cp -v sample-config/nsca.xinetd $ETCDIR/etc/xinet.d/ || exit 1 echo "nsca 5667/tcp # NSCA" >> $ETCDIR/etc/services || exit 1 cp $MYDIR/scripts/nsca $ETCDIR/etc/init.d || exit 1 echo "# Start the Nagios Secure Communication daemon?" >> $CONFIGFILE echo "START_NSCA=no" >> $CONFIGFILE echo >> $CONFIGFILE echo "HELP_NSCA=\"Nagios Secure Communication daemon\"" >> $SOFTWAREHELP fi ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac --- NEW FILE: nagios --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/Attic/nagios,v $ # $Revision: 1.1.2.1 $ # $Date: 2006/08/20 19:49:56 $ # # http://www.devil-linux.org # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: nagios # Required-Start: $basebuildtools $libs # Required-Stop: # Default-Start: 1 2 # Default-Stop: # Description: Nagios ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} # source functions and config source $MYDIR/settings case $1 in build ) if [ "$CONFIG_NAGIOS" = "y" ]; then ./configure --prefix=/usr --with-lockfile=/var/run/nagios.lock --with-init-dir=/etc/init.d --sysconfdir=/etc/nagios \ --datadir=/usr/share/nagios --localstatedir=/var/nagios --sbindir=/usr/sbin/nagios || exit 1 make $PMAKE all || exit 1 strip_debug fi ;; install ) if [ "$CONFIG_NAGIOS" = "y" ]; then rm -rf $TMPDIR || exit 1 mkdir $TMPDIR || exit 1 userdel nagios &> /dev/null groupadd -f -g 66 nagios || exit 1 useradd -u 66 -g nagios -s /bin/false -d /var/nagios nagios || exit 1 make install install-commandmode install-config DESTDIR=$TMPDIR || exit 1 copy_docs $TMPDIR mkdir -p $CDDIR/var/nagios || exit 1 chown nagios.nagios $CDDIR/var/nagios || exit 1 cp -dpvR $TMPDIR/usr $CDDIR/ || exit 1 cp -dpvR $TMPDIR/etc $ETCDIR/ || exit 1 rm -rf $TMPDIR || exit 1 cp $MYDIR/scripts/nagios $ETCDIR/etc/init.d || exit 1 echo "# Start the Nagios daemon?" >> $CONFIGFILE echo "START_NAGIOS=no" >> $CONFIGFILE echo >> $CONFIGFILE echo "HELP_NAGIOS=\"Nagios System and Network Monitoring Daemon\"" >> $SOFTWAREHELP fi ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac |
|
From: Heiko Z. <smi...@us...> - 2006-08-20 19:50:03
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv6713 Modified Files: Tag: rel-1-2-patches CHANGES md5sum.lst Log Message: added nagios nagios-plugin still needs work, since it hardcodes path names and didn't find everything Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.807.2.252 retrieving revision 1.807.2.253 diff -u -d -r1.807.2.252 -r1.807.2.253 --- CHANGES 18 Aug 2006 18:57:07 -0000 1.807.2.252 +++ CHANGES 20 Aug 2006 19:49:55 -0000 1.807.2.253 @@ -22,6 +22,10 @@ # 1.2.11 +- added nagios to 2.5 +- added nagios-plugins to 1.4.3 +- added nrpe to 2.5.2 +- added nsca to 2.6 - update bind to 9.3.2 (bs) - added siproxd 0.5.14 (Heiko / Roland Pabel) - added support for pidfiles in /etc/init.d/functions for reloadproc, killproc Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.102.2.164 retrieving revision 1.102.2.165 diff -u -d -r1.102.2.164 -r1.102.2.165 --- md5sum.lst 18 Aug 2006 18:57:07 -0000 1.102.2.164 +++ md5sum.lst 20 Aug 2006 19:49:56 -0000 1.102.2.165 @@ -119,7 +119,7 @@ f01b81fd2b34b30220b482d442614a05 src/busybox-1.1.3.tar.gz 5b8773b4965618279277b05cd811e7b3 src/bzip2-1.0.2.tar.bz2 ffd824f13f99011984399fc3b7526c71 src/camsource-0.7.0.tar.bz2 -dc189f1e34d484cb73639fe3b1067845 src/cdrtools-2.01.01a10.tar.bz2 +0f18966e4772b851bee385d0b07a18af src/cdrtools-2.01.01a11.tar.bz2 540cf3a7839a5769666e804c543756c2 src/cgilib_0.5-4.1.diff.gz 5187ba11b2ec165b6c5b6629087733b0 src/cgilib_0.5.orig.tar.gz 376ee0327bb6060a03052cdc71bb371f src/chpax-0.6.tar.gz @@ -293,7 +293,7 @@ d5b561190cbe0968d50e09e0031edb79 src/lilo-22.5.9.tar.gz e6d8a38a304d76c7074a4da12dacc15f src/linux-2.4.23-protector-1.patch.bz2 146757efc4dc3d66332415b8d29e6c39 src/linux-2.4.31-mppe-mppc-1.3.patch.gz -807eee53a4270659d568a542c4d08ea3 src/linux-2.4.33.tar.bz2 +52a0428fedaa532bf74c266eb4ad0ac2 src/linux-2.4.33.1.tar.bz2 0672ccd871def6842814c2d9d8c0689a src/linux-wlan-ng-0.2.1-pre16.tar.gz 229f83cfbd081d5e7bd46885efec1c72 src/lm_sensors-2.9.2.tar.gz 9ec24a9f2cf588b348adf1a1381af8a4 src/loadlin16c-devil.tar.bz2 @@ -332,6 +332,8 @@ 8c1c9f5db2c599eea3b12bfed8b80618 src/mtr-0.71.tar.gz 6f8c59cc214dbffd555085b1db7272c1 src/mxser.tgz a1dc5375f6580db5073d542200a9ad5b src/mysql-4.1.20.tar.gz +1a77528f6797bd3c0320da5e4fae2b1a src/nagios-2.5.tar.gz +2c40fc69d51cc979e85150870a1daa93 src/nagios-plugins-1.4.3.tar.gz a361b4ab34ce04e0a15ea4fbc8e4a414 src/nail-10.7.tar.bz2 f2b3efbf1cf356d736740d531b6b22c4 src/nano-1.2.5.tar.gz 2032ad44c7359f7a9a166a40a633e772 src/nasm-0.98.39.tar.bz2 @@ -349,6 +351,8 @@ 69bdaa9995f32247b5da7c6b6c41df9b src/nmap-4.11.tar.bz2 c011fc1595dd125443df2d357958c85f src/noip_updater_linux_v1.4.tar.gz 00fcdcc3fa532de1631ce0e78d755c5e src/nptl-0.60.tar.bz2 +22afa197db8e4e5b13fac48636917b6d src/nrpe-2.5.2.tar.gz +d526a3ac3c29648c729c5fb4fb332488 src/nsca-2.6.tar.gz b5449be8d673eacac882ee035ea9a824 src/nss_ldap-227.tar.gz cd29a876b34a7dd76555e9acd8f160bb src/ntop-3.2.tgz 111d879acdcc955e60f527575ab0a71a src/ntp-4.2.2.tar.gz |
|
From: Heiko Z. <smi...@us...> - 2006-08-20 13:27:27
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv2523 Modified Files: sagator Log Message: install apache config in correct directory ---------------------------------------------------------------------- CVS: Enter Log. Lines beginning with `CVS:' are removed automatically CVS: CVS: Committing in . CVS: CVS: Modified Files: CVS: sagator CVS: ---------------------------------------------------------------------- Index: sagator =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/sagator,v retrieving revision 1.12 retrieving revision 1.13 diff -u -d -r1.12 -r1.13 --- sagator 17 Apr 2006 01:02:52 -0000 1.12 +++ sagator 20 Aug 2006 13:27:24 -0000 1.13 @@ -9,7 +9,7 @@ ### BEGIN INIT INFO # Provides: sagator -# Required-Start: $basebuildtools $libs Python clamav +# Required-Start: $basebuildtools $libs Python clamav dspam # Required-Stop: # Default-Start: 1 2 # Default-Stop: @@ -31,6 +31,8 @@ #replace_str Makefile python2.2 python2.3 export PYTHONHOME=$WORKDIR/Python-install/usr export PATH=$WORKDIR/Python-install/usr/bin:$PATH + #export APACHE_ROOT=/etc/apache2 + #[ "$CONFIG_DSPAM" = "y" ] && eval "export DSPAM=yes; export DSPAM_PREFIX=/usr" ./configure --prefix /usr || exit 1 make $PMAKE all || exit 1 strip_debug @@ -47,6 +49,8 @@ rm -rf $TMPDIR/etc/sysconfig || exit 1 mkdir -p $CDDIR/usr/share/logwatch || exit 1 cp -dvpR $TMPDIR/etc/logwatch/scripts $CDDIR/usr/share/logwatch/ || exit 1 + mkdir -p $TMPDIR/etc/apache2 || exit 1 + mv $TMPDIR/etc/httpd/conf.d/* $TMPDIR/etc/apache2/ || exit 1 rm -rf $TMPDIR/etc/logwatch/scripts || exit 1 cp -dvpR $TMPDIR/etc/* $ETCDIR/etc/ || exit 1 cp -dvp $MYDIR/scripts/sagator $ETCDIR/etc/init.d/ || exit 1 |
|
From: Heiko Z. <smi...@us...> - 2006-08-20 13:26:36
|
Update of /cvsroot/devil-linux/build/scripts/configuration/profiles In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv2154/configuration/profiles Modified Files: Tag: rel-1-2-patches default server Log Message: install apache config in correct directory Index: default =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/profiles/default,v retrieving revision 1.29.2.37 retrieving revision 1.29.2.38 diff -u -d -r1.29.2.37 -r1.29.2.38 --- default 18 Aug 2006 15:38:35 -0000 1.29.2.37 +++ default 20 Aug 2006 13:26:31 -0000 1.29.2.38 @@ -221,3 +221,4 @@ CONFIG_NDIS=y CONFIG_NUT=y CONFIG_DSPAM=y +CONFIG_NAGIOS=y Index: server =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/profiles/Attic/server,v retrieving revision 1.1.2.26 retrieving revision 1.1.2.27 diff -u -d -r1.1.2.26 -r1.1.2.27 --- server 18 Aug 2006 15:38:35 -0000 1.1.2.26 +++ server 20 Aug 2006 13:26:31 -0000 1.1.2.27 @@ -219,3 +219,4 @@ CONFIG_ZISOFS=y CONFIG_DSPAM=y CONFIG_VMWARE=y +CONFIG_NAGIOS=y |
|
From: Heiko Z. <smi...@us...> - 2006-08-20 13:26:36
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv2154 Modified Files: Tag: rel-1-2-patches sagator xinetd Log Message: install apache config in correct directory Index: sagator =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/sagator,v retrieving revision 1.6.2.7 retrieving revision 1.6.2.8 diff -u -d -r1.6.2.7 -r1.6.2.8 --- sagator 22 May 2006 23:17:53 -0000 1.6.2.7 +++ sagator 20 Aug 2006 13:26:31 -0000 1.6.2.8 @@ -49,6 +49,8 @@ rm -rf $TMPDIR/etc/sysconfig || exit 1 mkdir -p $CDDIR/usr/share/logwatch || exit 1 cp -dvpR $TMPDIR/etc/logwatch/scripts $CDDIR/usr/share/logwatch/ || exit 1 + mkdir -p $TMPDIR/etc/apache2 || exit 1 + mv $TMPDIR/etc/httpd/conf.d/* $TMPDIR/etc/apache2/ || exit 1 rm -rf $TMPDIR/etc/logwatch/scripts || exit 1 cp -dvpR $TMPDIR/etc/* $ETCDIR/etc/ || exit 1 cp -dvp $MYDIR/scripts/sagator $ETCDIR/etc/init.d/ || exit 1 Index: xinetd =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/xinetd,v retrieving revision 1.9 retrieving revision 1.9.2.1 diff -u -d -r1.9 -r1.9.2.1 --- xinetd 11 Jan 2004 14:43:05 -0000 1.9 +++ xinetd 20 Aug 2006 13:26:31 -0000 1.9.2.1 @@ -40,6 +40,7 @@ cp -dp xinetd/xinetd $CDDIR/usr/sbin || exit 1 cp -dp xinetd/itox $CDDIR/usr/sbin || exit 1 cp -dp xinetd/sample.conf $ETCDIR/etc/xinetd.conf.sample || exit 1 + mkdir -p $ETCDIR/etc/xinet.d || exit 1 cp $MYDIR/scripts/xinetd $ETCDIR/etc/init.d || exit 1 copy_man ./xinetd mkdir -p $CDDIR/usr/share/man/man5 |
|
From: Heiko Z. <smi...@us...> - 2006-08-20 13:16:19
|
Update of /cvsroot/devil-linux/web/sitetools In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv31097/sitetools Modified Files: sponsors.php Log Message: updated sponsor Index: sponsors.php =================================================================== RCS file: /cvsroot/devil-linux/web/sitetools/sponsors.php,v retrieving revision 1.10 retrieving revision 1.11 diff -u -d -r1.10 -r1.11 --- sponsors.php 18 Aug 2006 14:44:01 -0000 1.10 +++ sponsors.php 20 Aug 2006 13:16:13 -0000 1.11 @@ -13,8 +13,8 @@ <td align="right">$60</td> </tr> <tr> - <td>Marc Sachse</td> - <td align="right">EUR 30</td> + <td><a href="http://www.odometer-correction.com" target="_blank">Odometer Correction</a></td> + <td align="right">EUR 50</td> </tr> <tr> <td><a href="http://www.stepmiles.com" target="_blank">SEO Company Stepmiles</a></td> |
|
From: Bruce S. <bl...@us...> - 2006-08-18 18:57:47
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv28934 Modified Files: CHANGES md5sum.lst Log Message: update bind to 9.3.2 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1051 retrieving revision 1.1052 diff -u -d -r1.1051 -r1.1052 --- CHANGES 18 Aug 2006 15:38:14 -0000 1.1051 +++ CHANGES 18 Aug 2006 18:57:41 -0000 1.1052 @@ -22,6 +22,7 @@ # 1.3.2 +- update bind to 9.3.2 (bs) - added siproxd 0.5.14 (Heiko / Roland Pabel) - added support for pidfiles in /etc/init.d/functions for reloadproc, killproc and statusproc (Heiko / Roland Pabel) Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.293 retrieving revision 1.294 diff -u -d -r1.293 -r1.294 --- md5sum.lst 18 Aug 2006 15:38:14 -0000 1.293 +++ md5sum.lst 18 Aug 2006 18:57:41 -0000 1.294 @@ -108,7 +108,7 @@ aef00b2ff5c5413bd2a868299cabd69a src/awstats-6.5.tar.gz ef5304c4b22aaa5088972c792ed45d72 src/bash-3.1.tar.gz d541419fd7e5642952d7b48cbb40c712 src/beep-1.2.2.tar.gz -9ff3204eea27184ea0722f37e43fc95d src/bind-9.3.1.tar.gz +55e709501a7780233c36e25ccd15ece2 src/bind-9.3.2.tar.gz 095f8a04f37df2ed5c99328ddc551a09 src/bing-1.1.3.tar.bz2 d36d2b02f2609f01b00a33c8bdd78a35 src/binutils-2.16.1-pt_pax-1.patch.bz2 6a9d529efb285071dad10e1f3d2b2967 src/binutils-2.16.1.tar.bz2 |